%define name paragui
%define version	1.0.4
%define release 2mdk
%define lib_name_orig libparagui
%define lib_major 1.0
%define lib_name %mklibname %{name} %{lib_major}

Name: %{name}
Summary: Graphical User Interface based on SDL
Version: %{version}
Release: %{release}
License: LGPL
Group: System/Libraries
Source: http://savannah.nongnu.org/download/paragui/%{name}-%{version}.tar.bz2
#Patch0: paragui-1.0.1-fix-gcc31.patch.bz2
URL: http://www.bms-austria.com/projects/paragui/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libSDL-devel libSDL_image-devel
BuildRequires: physfs-devel

%description
ParaGUI is a cross-platform high-level application framework and GUI
(graphical user interface) library. ParaGUI's cross-platform nature is
completely based on the Simple DirectMedia Layer (SDL).

%package -n %{lib_name}
Summary: Main library for paragui
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release} %{name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with paragui.

%package -n %{lib_name}-devel
Summary: Headers for developing programs that will use paragui
Group: Development/C
Requires: %{lib_name} = %{version} libexpat-devel physfs-devel
Provides: %{lib_name_orig}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use paragui, a GUI on top of SDL.

%prep
%setup -q
#%patch0 -p0

%build
# TODO : --enable-python --enable-ruby
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/lib%{name}.a

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-, root, root)
%doc AUTHORS COPYING
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc README
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.?a
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}

%changelog
* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 1.0.4-2mdk 
- rebuild for new gcc
- clean BuildRequires
- remove Packager tag
- rpmbuildupdate aware
 
* Tue Oct 07 2003 Charles A Edwards <eslrahc@bellsouth.net> 1.0.4-1mdk
- 1.0.4
- buildrequire physfs-devel
- automake-2.5
- requires
- use makeinstall_std
 

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.2-2mdk
- fixed buildrequires

* Thu Apr 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.2-1mdk
- 1.0.2
- use %%mklibname macro
- dropped Patch0 (merged upstream)
- fix unpackaged files
- use %%configure macro in stead of %%configure2_5x to make it crosscompile

* Mon Sep  2 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-3mdk
- rebuild

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-2mdk
- recompile against latest libstdc++
- take stable 1.0.1 release

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-0.cvs.3mdk
- rebuild for new alsa

* Wed Mar  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-0.cvs.2mdk
- fix summary, refine requires for devel package

* Wed Mar  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-0.cvs.1mdk
- first mdk package
